declare namespace Praey {
    type Colors = Record<string, string> | undefined;
}
declare class Praey {
    private _color;
    /**
     * Simple and easy console logging with colors
     * @param colors Add custom colors. Alternatively can {@link praey} be used
     *
     * ```ts
     * import { Praey } from "praey"
     *
     * const log = new Praey({
     *   kur: "\x1b[3m",
     * });
     *
     * log.out("This is <fg-yellow><kur>important!<r><r>");
     * ```
     */
    constructor(colors?: Praey.Colors);
    private static parser;
    out(text: string): void;
}
/**
 * Static {@link Praey} constructor
 */
declare const praey: Praey;
export { Praey, praey };
